cURL
curl --request GET \
--url https://api.mottostreaming.com/streaming/assets/v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mottostreaming.com/streaming/assets/v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mottostreaming.com/streaming/assets/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assets": [
{
"id": "<string>",
"name": "<string>",
"project_id": "<string>",
"type": "ASSET_TYPE_UNSPECIFIED",
"content_type": "<string>",
"size_bytes": "<string>",
"access_control_mode": "ACCESS_CONTROL_MODE_UNSPECIFIED",
"create_time": "2023-11-07T05:31:56Z",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"next_page_token": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Assets
List assets
ListAssets
Returns a list of assets.
GET
/
streaming
/
assets
/
v1
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of records to return
If this field is not empty then it must contain the next_page_token value
returned by a previous call to this method. Using this field causes the
method to return additional results from the previous method call.
ID of the project from which assets are returned.
You can filter list of assets.
Example: labels.event_id:123
Specifies the result ordering for List requests. Supported values are:
- "create_time asc|desc"
- "size_bytes asc|desc"
- "labels. asc|desc"

